#!/bin/sh

myname=`basename $0`
if [ $# = 0 ]; then
    echo "
Usage: $myname item [item ...]
Given a space- (or tab-) separated list, produce a comma-separated list.
Examples:
  % $myname a bcd  e
  a,bcd,e

  % $myname '1 one'   22  \"3 and  three\" 
  1 one,22,3 and  three
"
    exit 1
fi

output=""
while [ $# -gt 0 ]; do
    item="$1"
    shift

    if [ "$output" = "" ]; then
	output="$item"
    else
	output="$output,$item"
    fi
done

echo "$output"
